package com.dstsystems.services;

import static org.junit.Assert.*;

import java.net.MalformedURLException;
import java.util.List;

import org.junit.Before;
import org.junit.Test;

import com.dstsystems.JPABaseTest;
import com.dstsystems.services.productsponsor.ProductSponsorDTO;
import com.dstsystems.services.productsponsor.ProductSponsorEntity;
import com.dstsystems.services.productsponsor.ProductSponsorService;

public class ProductSponsorTest extends JPABaseTest
{
    private ProductSponsor ps = null;
    @Before
    public void setUp() throws Exception
    {
        ps = new ProductSponsor();
    }

    @Test
    public void testGetProductSponsors()
    {
        assertNotNull( ps.getProductSponsors() );
    }
    
    @Test 
    public void testGetProductSponsorThroughService() throws Exception
    {
        ProductSponsorService productSponsorService = instantiateServiceStub( ProductSponsorService.class );
        com.dstsystems.services.productsponsor.ProductSponsor port = productSponsorService.getProductSponsorPort();
        ProductSponsorDTO dto = port.getProductSponsors( );
        List<ProductSponsorEntity> productSponsorEntities = dto.getProductSponsors();
        assertNotNull( productSponsorEntities );
    }

}
