
package com.dstsystems.services.productsponsor;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.dstsystems.services.productsponsor package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetProductSponsorsResponse_QNAME = new QName("http://services.dstsystems.com/", "getProductSponsorsResponse");
    private final static QName _GetProductSponsors_QNAME = new QName("http://services.dstsystems.com/", "getProductSponsors");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.dstsystems.services.productsponsor
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetProductSponsors }
     * 
     */
    public GetProductSponsors createGetProductSponsors() {
        return new GetProductSponsors();
    }

    /**
     * Create an instance of {@link ProductSponsorDTO }
     * 
     */
    public ProductSponsorDTO createProductSponsorDTO() {
        return new ProductSponsorDTO();
    }

    /**
     * Create an instance of {@link ProductSponsorEntity }
     * 
     */
    public ProductSponsorEntity createProductSponsorEntity() {
        return new ProductSponsorEntity();
    }

    /**
     * Create an instance of {@link GetProductSponsorsResponse }
     * 
     */
    public GetProductSponsorsResponse createGetProductSponsorsResponse() {
        return new GetProductSponsorsResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductSponsorsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://services.dstsystems.com/", name = "getProductSponsorsResponse")
    public JAXBElement<GetProductSponsorsResponse> createGetProductSponsorsResponse(GetProductSponsorsResponse value) {
        return new JAXBElement<GetProductSponsorsResponse>(_GetProductSponsorsResponse_QNAME, GetProductSponsorsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetProductSponsors }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://services.dstsystems.com/", name = "getProductSponsors")
    public JAXBElement<GetProductSponsors> createGetProductSponsors(GetProductSponsors value) {
        return new JAXBElement<GetProductSponsors>(_GetProductSponsors_QNAME, GetProductSponsors.class, null, value);
    }

}
