package com.dstsystems.services;

import java.util.List;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.persistence.EntityManager;
import javax.persistence.Query;

import com.dstsystems.dto.ProductSponsorDTO;
import com.dstsystems.entity.ProductSponsorEntity;

@WebService
public class ProductSponsor
{
    private EntityManager entityManager = JPAUtil.getEntityManagerFactory().createEntityManager();
    
    @WebMethod
    public ProductSponsorDTO getProductSponsors( )
    {
        Query query = entityManager.createNamedQuery( "getProductSponsors" );
        List<ProductSponsorEntity> productSponsorEntities = ( List<ProductSponsorEntity> )query.getResultList();
     
        ProductSponsorDTO dto = new ProductSponsorDTO();
        dto.setProductSponsors( productSponsorEntities );
        return dto; 
    }
    
}
